
ctools - Bug #3448

Installation of ctools-1.7.2 Mac OS X binary disk image failed on mac OS Catalina

11/13/2020 06:19 PM - Knödlseder Jürgen

Status: Closed Start date: 11/13/2020

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

Here is a message that I got from Talvikki:

Dear Jurgen,

I was trying to install the latest ctools-1.7.2. mac binary disk image ctools-1.7.2-macosx10.7.dmg on my Mac OS Catalina version

10.15.5 (19F101) but encountered problems.

First, as explained in the installation instructions (http://cta.irap.omp.eu/ctools/admin/install_binary.html), it complained that the

certificate is not trusted and I just clicked continue as instructed but instead of successfully installing, it told me that the installation

failed because the app is untrusted (first screenshot).

I then changed the trust settings under “Show certificate” to always trust ctools, but when I then run the installer, it gives another error

message simply saying that the installation failed due to an error. Attached is the screenshot of the second fail message.

Anything else I could do to get it to install?

Thanks in advance and apologies if I missed further instructions on this!

Talvikki Hovatta

Related issues:

Related to ctools - Action # 1949: Sign packages Closed 03/13/2017 03/23/2017

History

#1 - 11/13/2020 06:21 PM - Knödlseder Jürgen

- File Screenshot 2020-11-13 at 10.43.54.png added

- File Screenshot 2020-11-13 at 11.25.56.png added

Dear Talvikki,

It works for me under mac OS Mojave (10.14.6) but I have not tried on Catalina. I will check on Monday.

Can you inspect the /var/log/install.log file?

Here is what I get after a successful install:

2020-11-13 18:10:51+01 MacBook-Pro-de-Jurgen Installer[9872]: @(#)PROGRAM:Install  PROJECT:Install-1000

2020-11-13 18:10:51+01 MacBook-Pro-de-Jurgen Installer[9872]: @(#)PROGRAM:Installer  PROJECT:Installer-934.2

2020-11-13 18:10:51+01 MacBook-Pro-de-Jurgen Installer[9872]: Hardware: MacBookPro11,5 @ 2.80 GHz (x 8), 16384 MB RAM

2020-11-13 18:10:51+01 MacBook-Pro-de-Jurgen Installer[9872]: Running OS Build: Mac OS X 10.14.6 (18G6042)

2020-11-13 18:10:51+01 MacBook-Pro-de-Jurgen Installer[9872]: Env: __CF_USER_TEXT_ENCODING=0x1F5:0x0:0x1

2020-11-13 18:10:51+01 MacBook-Pro-de-Jurgen Installer[9872]: Env: TMPDIR=/var/folders/td/9p0db_z54hg53zjmfg1gp9cw0000gn/T/

2020-11-13 18:10:51+01 MacBook-Pro-de-Jurgen Installer[9872]: Env: HOME=/Users/jurgen

2020-11-13 18:10:51+01 MacBook-Pro-de-Jurgen Installer[9872]: Env: SHELL=/bin/bash

2020-11-13 18:10:51+01 MacBook-Pro-de-Jurgen Installer[9872]: Env:

 Apple_PubSub_Socket_Render=/private/tmp/com.apple.launchd.fDe4PmOR4g/Render

2020-11-13 18:10:51+01 MacBook-Pro-de-Jurgen Installer[9872]: Env: SSH_AUTH_SOCK=/private/tmp/com.apple.launchd.QwKXe9Yl1Y/Listeners

2020-11-13 18:10:51+01 MacBook-Pro-de-Jurgen Installer[9872]: Env:

 DISPLAY=/private/tmp/com.apple.launchd.0JfqL7ASJJ/org.macosforge.xquartz:0

2020-11-13 18:10:51+01 MacBook-Pro-de-Jurgen Installer[9872]: Env: PATH=/usr/bin:/bin:/usr/sbin:/sbin

2020-11-13 18:10:51+01 MacBook-Pro-de-Jurgen Installer[9872]: Env: LOGNAME=jurgen

2020-11-13 18:10:51+01 MacBook-Pro-de-Jurgen Installer[9872]: Env: XPC_SERVICE_NAME=com.apple.xpc.launchd.oneshot.0x10000011.Installer
2020-11-13 18:10:51+01 MacBook-Pro-de-Jurgen Installer[9872]: Env: COMMAND_MODE=unix2003

2020-11-13 18:10:51+01 MacBook-Pro-de-Jurgen Installer[9872]: Env: USER=jurgen

2020-11-13 18:10:51+01 MacBook-Pro-de-Jurgen Installer[9872]: Env: XPC_FLAGS=0x0

2020-11-13 18:10:51+01 MacBook-Pro-de-Jurgen Installer[9872]: ctools-1.7.2 1.7.2 Installation Log

2020-11-13 18:10:51+01 MacBook-Pro-de-Jurgen Installer[9872]: Opened from: /Volumes/ctools-1.7.2/ctools-1.7.2.pkg

2020-11-13 18:10:51+01 MacBook-Pro-de-Jurgen Installer[9872]: Package Authoring Error: <background_scaling> has an unsupported MIME type:

 X-NSObject/NSNumber

2020-11-13 18:10:51+01 MacBook-Pro-de-Jurgen Installer[9872]: Package Authoring Error: <background_alignment> has an unsupported MIME

 type: X-NSObject/NSNumber

2020-11-13 18:10:51+01 MacBook-Pro-de-Jurgen Installer[9872]: Package Authoring Error: <layout-direction> has an unsupported MIME type:

 X-NSObject/NSNumber

2020-11-13 18:10:51+01 MacBook-Pro-de-Jurgen Installer[9872]: Product archive /Volumes/ctools-1.7.2/ctools-1.7.2.pkg trustLevel=2

2020-11-13 18:10:51+01 MacBook-Pro-de-Jurgen Installer[9872]: External component packages (1) trustLevel=2 (trust evaluation failed: Error

 Domain=PKInstallErrorDomain Code=102 "Le paquet « ctools-1.7.2.pkg » n’est pas approuvé." UserInfo={NSLocalizedDescription=Le paquet «

 ctools-1.7.2.pkg » n’est pas approuvé., NSURL=#ctools-1.7.2.pkg -- file:///Volumes/ctools-1.7.2/ctools-1.7.2.pkg#Distribution,

 PKInstallPackageIdentifier=cta.irap.omp.eu.ctools.pkg, NSUnderlyingError=0x600001b385d0 {Error Domain=NSOSStatusErrorDomain

 Code=-2147409654 "CSSMERR_TP_CERT_EXPIRED" UserInfo={SecTrustResult=5, PKTrustLevel=PKTrustLevelNotTrusted,

 NSLocalizedFailureReason=CSSMERR_TP_CERT_EXPIRED}}})

2020-11-13 18:10:54+01 MacBook-Pro-de-Jurgen Installer[9872]: Product archive /Volumes/ctools-1.7.2/ctools-1.7.2.pkg trustLevel=2

2020-11-13 18:10:54+01 MacBook-Pro-de-Jurgen Installer[9872]: External component packages (1) trustLevel=2 (trust evaluation failed: Error

 Domain=PKInstallErrorDomain Code=102 "Le paquet « ctools-1.7.2.pkg » n’est pas approuvé." UserInfo={NSLocalizedDescription=Le paquet «

 ctools-1.7.2.pkg » n’est pas approuvé., NSURL=#ctools-1.7.2.pkg -- file:///Volumes/ctools-1.7.2/ctools-1.7.2.pkg#Distribution,

 PKInstallPackageIdentifier=cta.irap.omp.eu.ctools.pkg, NSUnderlyingError=0x600001b1fb40 {Error Domain=NSOSStatusErrorDomain

 Code=-2147409654 "CSSMERR_TP_CERT_EXPIRED" UserInfo={SecTrustResult=5, PKTrustLevel=PKTrustLevelNotTrusted,

 NSLocalizedFailureReason=CSSMERR_TP_CERT_EXPIRED}}})

2020-11-13 18:10:55+01 MacBook-Pro-de-Jurgen system_installd[1620]: PackageKit: Install sandbox purging reclaimed Zéro ko

2020-11-13 18:10:59+01 MacBook-Pro-de-Jurgen Installer[9872]: InstallerStatusNotifications plugin loaded

2020-11-13 18:11:01+01 MacBook-Pro-de-Jurgen Installer[9872]:

 ================================================================================

2020-11-13 18:11:01+01 MacBook-Pro-de-Jurgen Installer[9872]: User picked Standard Install

2020-11-13 18:11:01+01 MacBook-Pro-de-Jurgen Installer[9872]: Choices selected for installation:

2020-11-13 18:11:01+01 MacBook-Pro-de-Jurgen Installer[9872]:     Mise à jour: ""

2020-11-13 18:11:01+01 MacBook-Pro-de-Jurgen Installer[9872]:     Mise à jour: "(null)"

2020-11-13 18:11:01+01 MacBook-Pro-de-Jurgen Installer[9872]:         ctools-1.7.2.pkg#ctools-1.7.2.pkg : cta.irap.omp.eu.ctools.pkg : 1.7.2

2020-11-13 18:11:01+01 MacBook-Pro-de-Jurgen Installer[9872]:

 ================================================================================

2020-11-13 18:11:01+01 MacBook-Pro-de-Jurgen Installer[9872]: It took 0.00 seconds to summarize the package selections.

2020-11-13 18:11:01+01 MacBook-Pro-de-Jurgen Installer[9872]: -[IFDInstallController(Private) _buildInstallPlanReturningError:]: location =

 file://localhost

2020-11-13 18:11:01+01 MacBook-Pro-de-Jurgen Installer[9872]: -[IFDInstallController(Private) _buildInstallPlanReturningError:]:

 file://localhost/Volumes/ctools-1.7.2/ctools-1.7.2.pkg#ctools-1.7.2.pkg

2020-11-13 18:11:01+01 MacBook-Pro-de-Jurgen Installer[9872]: Set authorization level to root for session

2020-11-13 18:11:05+01 MacBook-Pro-de-Jurgen Installer[9872]: Administrator authorization granted.

2020-11-13 18:11:05+01 MacBook-Pro-de-Jurgen Installer[9872]: Will use PK session

2020-11-13 18:11:05+01 MacBook-Pro-de-Jurgen Installer[9872]: Using authorization level of root for IFPKInstallElement

2020-11-13 18:11:05+01 MacBook-Pro-de-Jurgen Installer[9872]: Starting installation:

2020-11-13 18:11:05+01 MacBook-Pro-de-Jurgen Installer[9872]: Configuring volume "Macintosh HD   "

2020-11-13 18:11:05+01 MacBook-Pro-de-Jurgen Installer[9872]: Preparing disk for local booted install.

2020-11-13 18:11:05+01 MacBook-Pro-de-Jurgen Installer[9872]: Free space on "Macintosh HD   ": 375,64 Go (375637131264 bytes).

2020-11-13 18:11:05+01 MacBook-Pro-de-Jurgen Installer[9872]: Create temporary directory

 "/var/folders/td/9p0db_z54hg53zjmfg1gp9cw0000gn/T//Install.9872lnJHZa"

2020-11-13 18:11:05+01 MacBook-Pro-de-Jurgen Installer[9872]: IFPKInstallElement (1 packages)

2020-11-13 18:11:05+01 MacBook-Pro-de-Jurgen Installer[9872]: Current Path: /System/Library/CoreServices/Installer.app/Contents/MacOS/Installer

2020-11-13 18:11:05+01 MacBook-Pro-de-Jurgen installd[1622]: PackageKit: Adding client PKInstallDaemonClient pid=9872, uid=501

 (/System/Library/CoreServices/Installer.app/Contents/MacOS/Installer)

2020-11-13 18:11:05+01 MacBook-Pro-de-Jurgen Installer[9872]: PackageKit: Enqueuing install with framework-specified quality of service (utility)

2020-11-13 18:11:05+01 MacBook-Pro-de-Jurgen installd[1622]: PackageKit: ----- Begin install -----

2020-11-13 18:11:05+01 MacBook-Pro-de-Jurgen installd[1622]: PackageKit: request=PKInstallRequest <1 packages, destination=/>

2020-11-13 18:11:05+01 MacBook-Pro-de-Jurgen installd[1622]: PackageKit: packages=(

        "PKLeopardPackage <id=cta.irap.omp.eu.ctools.pkg, version=1.7.2, url=file:///Volumes/ctools-1.7.2/ctools-1.7.2.pkg#ctools-1.7.2.pkg>"

    )

2020-11-13 18:11:05+01 MacBook-Pro-de-Jurgen installd[1622]: PackageKit: Set reponsibility for install to 9872

2020-11-13 18:11:05+01 MacBook-Pro-de-Jurgen installd[1622]: PackageKit: Will do receipt-based obsoleting for package identifier

 cta.irap.omp.eu.ctools.pkg (prefix path=usr/local/gamma)

2020-11-13 18:11:05+01 MacBook-Pro-de-Jurgen installd[1622]: PackageKit: Extracting file:///Volumes/ctools-1.7.2/ctools-1.7.2.pkg#ctools-1.7.2.pkg

2020-11-13 18:11:08+01 MacBook-Pro-de-Jurgen installd[1622]: PackageKit: prevent user idle system sleep

2020-11-13 18:11:08+01 MacBook-Pro-de-Jurgen installd[1622]: PackageKit: suspending backupd

2020-11-13 18:11:08+01 MacBook-Pro-de-Jurgen installd[1622]: PackageKit: Using trashcan path

 /var/folders/zz/zyxvpxvq6csfxvn_n0000000000000/T/PKInstallSandboxTrash/C52A8832-130D-48CF-9BB4-BE0B031F267C.sandboxTrash for

 sandbox

 /var/folders/zz/zyxvpxvq6csfxvn_n0000000000000/C/PKInstallSandboxManager/C52A8832-130D-48CF-9BB4-BE0B031F267C.activeSandbox
2020-11-13 18:11:08+01 MacBook-Pro-de-Jurgen installd[1622]: PackageKit: Shoving

 /var/folders/zz/zyxvpxvq6csfxvn_n0000000000000/C/PKInstallSandboxManager/C52A8832-130D-48CF-9BB4-BE0B031F267C.activeSandbox/Root

 (1 items) to /

2020-11-13 18:11:08+01 MacBook-Pro-de-Jurgen install_monitor[9886]: Temporarily excluding: /Applications, /Library, /System, /bin, /private, /sbin,

 /usr

2020-11-13 18:11:08+01 MacBook-Pro-de-Jurgen installd[1622]: PackageKit: Writing receipt for cta.irap.omp.eu.ctools.pkg to /

2020-11-13 18:11:08+01 MacBook-Pro-de-Jurgen installd[1622]: PackageKit: Touched bundle /usr/local/gamma/share/terminfo/69/iTerm.app

2020-11-13 18:11:09+01 MacBook-Pro-de-Jurgen installd[1622]: Installed "ctools-1.7.2" (1.7.2)

2020-11-13 18:11:09+01 MacBook-Pro-de-Jurgen install_monitor[9886]: Re-included: /Applications, /Library, /System, /bin, /private, /sbin, /usr

2020-11-13 18:11:09+01 MacBook-Pro-de-Jurgen installd[1622]: PackageKit: releasing backupd

2020-11-13 18:11:09+01 MacBook-Pro-de-Jurgen installd[1622]: PackageKit: allow user idle system sleep

2020-11-13 18:11:09+01 MacBook-Pro-de-Jurgen installd[1622]: PackageKit: Cleared permissions on Installer.app

2020-11-13 18:11:09+01 MacBook-Pro-de-Jurgen installd[1622]: PackageKit: ----- End install -----

2020-11-13 18:11:09+01 MacBook-Pro-de-Jurgen installd[1622]: PackageKit: 4.1s elapsed install time

2020-11-13 18:11:09+01 MacBook-Pro-de-Jurgen installd[1622]: PackageKit: Running idle tasks

2020-11-13 18:11:09+01 MacBook-Pro-de-Jurgen installd[1622]: PackageKit: Done with sandbox removals

2020-11-13 18:11:09+01 MacBook-Pro-de-Jurgen Installer[9872]: PackageKit: Registered bundle file:///usr/local/gamma/share/terminfo/69/iTerm.app

 for uid 501

2020-11-13 18:11:09+01 MacBook-Pro-de-Jurgen installd[1622]: PackageKit: Removing client PKInstallDaemonClient pid=9872, uid=501

 (/System/Library/CoreServices/Installer.app/Contents/MacOS/Installer)

2020-11-13 18:11:10+01 MacBook-Pro-de-Jurgen Installer[9872]: Running install actions

2020-11-13 18:11:10+01 MacBook-Pro-de-Jurgen Installer[9872]: Removing temporary directory

 "/var/folders/td/9p0db_z54hg53zjmfg1gp9cw0000gn/T//Install.9872lnJHZa"

2020-11-13 18:11:10+01 MacBook-Pro-de-Jurgen Installer[9872]: Finalize disk "Macintosh HD   "

2020-11-13 18:11:10+01 MacBook-Pro-de-Jurgen Installer[9872]: Notifying system of updated components

2020-11-13 18:11:10+01 MacBook-Pro-de-Jurgen Installer[9872]:

2020-11-13 18:11:10+01 MacBook-Pro-de-Jurgen Installer[9872]: **** Summary Information ****

2020-11-13 18:11:10+01 MacBook-Pro-de-Jurgen Installer[9872]:   Operation      Elapsed time

2020-11-13 18:11:10+01 MacBook-Pro-de-Jurgen Installer[9872]: -----------------------------

2020-11-13 18:11:10+01 MacBook-Pro-de-Jurgen Installer[9872]:        disk      0.00 seconds

2020-11-13 18:11:10+01 MacBook-Pro-de-Jurgen Installer[9872]:      script      0.00 seconds

2020-11-13 18:11:10+01 MacBook-Pro-de-Jurgen Installer[9872]:        zero      0.00 seconds

2020-11-13 18:11:10+01 MacBook-Pro-de-Jurgen Installer[9872]:     install      5.03 seconds

2020-11-13 18:11:10+01 MacBook-Pro-de-Jurgen Installer[9872]:     -total-      5.04 seconds

2020-11-13 18:11:10+01 MacBook-Pro-de-Jurgen Installer[9872]:

2020-11-13 18:11:10+01 MacBook-Pro-de-Jurgen Installer[9872]: IFDInstallController 1768A90 state = 5

2020-11-13 18:11:10+01 MacBook-Pro-de-Jurgen Installer[9872]: Displaying 'Install Succeeded' UI.

2020-11-13 18:11:11+01 MacBook-Pro-de-Jurgen Installer[9872]: Package Removal: Package is not in downloads directory. Not offering removal.

2020-11-13 18:11:11+01 MacBook-Pro-de-Jurgen Installer[9872]: Package Removal: Package cannot be removed.

MacBook-Pro-de-Jurgen:~ jurgen$
#2 - 11/16/2020 12:29 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 10

I confirm that I see them same issues here on a mac OS Catalina VM:

2020-11-16 12:24:23+01 OS-X-1015 Installer[659]: @(#)PROGRAM:Install  PROJECT:Install-1000

2020-11-16 12:24:23+01 OS-X-1015 Installer[659]: @(#)PROGRAM:Installer  PROJECT:Installer-965.1

2020-11-16 12:24:23+01 OS-X-1015 Installer[659]: Hardware: VMware7,1 @ 3.34 GHz, 2048 MB RAM

2020-11-16 12:24:23+01 OS-X-1015 Installer[659]: Running OS Build: Mac OS X 10.15.3 (19D76)

2020-11-16 12:24:23+01 OS-X-1015 Installer[659]: Env: USER=jenkins

2020-11-16 12:24:23+01 OS-X-1015 Installer[659]: Env: COMMAND_MODE=unix2003

2020-11-16 12:24:23+01 OS-X-1015 Installer[659]: Env: PATH=/usr/bin:/bin:/usr/sbin:/sbin

2020-11-16 12:24:23+01 OS-X-1015 Installer[659]: Env: LOGNAME=jenkins

2020-11-16 12:24:23+01 OS-X-1015 Installer[659]: Env: SSH_AUTH_SOCK=/private/tmp/com.apple.launchd.d1cLHRTEiR/Listeners

2020-11-16 12:24:23+01 OS-X-1015 Installer[659]: Env: HOME=/Users/jenkins

2020-11-16 12:24:23+01 OS-X-1015 Installer[659]: Env: SHELL=/bin/zsh

2020-11-16 12:24:23+01 OS-X-1015 Installer[659]: Env: TMPDIR=/var/folders/9r/n_s0gdwx77x_cdgvnl0lm1_00000gp/T/

2020-11-16 12:24:23+01 OS-X-1015 Installer[659]: Env: __CF_USER_TEXT_ENCODING=0x1F6:0x0:0x0

2020-11-16 12:24:23+01 OS-X-1015 Installer[659]: Env: XPC_SERVICE_NAME=com.apple.xpc.launchd.oneshot.0x10000005.Installer

2020-11-16 12:24:23+01 OS-X-1015 Installer[659]: Env: XPC_FLAGS=0x0

2020-11-16 12:24:23+01 OS-X-1015 Installer[659]: ctools-1.7.2 1.7.2 Installation Log

2020-11-16 12:24:23+01 OS-X-1015 Installer[659]: Opened from: /Volumes/ctools-1.7.2/ctools-1.7.2.pkg

2020-11-16 12:24:23+01 OS-X-1015 Installer[659]: Package Authoring Error: <background_scaling> has an unsupported MIME type:

 X-NSObject/NSNumber

2020-11-16 12:24:23+01 OS-X-1015 Installer[659]: Package Authoring Error: <background_alignment> has an unsupported MIME type:

 X-NSObject/NSNumber

2020-11-16 12:24:23+01 OS-X-1015 Installer[659]: Package Authoring Error: <layout-direction> has an unsupported MIME type:

 X-NSObject/NSNumber

2020-11-16 12:24:23+01 OS-X-1015 Installer[659]: Failed to load specified background image

2020-11-16 12:24:23+01 OS-X-1015 Installer[659]: Product archive /Volumes/ctools-1.7.2/ctools-1.7.2.pkg trustLevel=2

2020-11-16 12:24:23+01 OS-X-1015 Installer[659]: External component packages (1) trustLevel=2 (trust evaluation failed: Error

 Domain=PKInstallErrorDomain Code=102 "The package “ctools-1.7.2.pkg” is untrusted." UserInfo={NSLocalizedDescription=The package

 “ctools-1.7.2.pkg” is untrusted., NSURL=#ctools-1.7.2.pkg -- file:///Volumes/ctools-1.7.2/ctools-1.7.2.pkg#Distribution,

 PKInstallPackageIdentifier=cta.irap.omp.eu.ctools.pkg, NSUnderlyingError=0x600001fb9cb0 {Error Domain=NSOSStatusErrorDomain

 Code=-2147409654 "CSSMERR_TP_CERT_EXPIRED" UserInfo={SecTrustResult=5, PKTrustLevel=PKTrustLevelNotTrusted,

 NSLocalizedFailureReason=CSSMERR_TP_CERT_EXPIRED}}})

2020-11-16 12:24:53+01 OS-X-1015 Installer[665]: @(#)PROGRAM:Install  PROJECT:Install-1000

2020-11-16 12:24:53+01 OS-X-1015 Installer[665]: @(#)PROGRAM:Installer  PROJECT:Installer-965.1

2020-11-16 12:24:53+01 OS-X-1015 Installer[665]: Hardware: VMware7,1 @ 3.34 GHz, 2048 MB RAM

2020-11-16 12:24:53+01 OS-X-1015 Installer[665]: Running OS Build: Mac OS X 10.15.3 (19D76)

2020-11-16 12:24:53+01 OS-X-1015 Installer[665]: Env: USER=jenkins

2020-11-16 12:24:53+01 OS-X-1015 Installer[665]: Env: COMMAND_MODE=unix2003

2020-11-16 12:24:53+01 OS-X-1015 Installer[665]: Env: PATH=/usr/bin:/bin:/usr/sbin:/sbin

2020-11-16 12:24:53+01 OS-X-1015 Installer[665]: Env: LOGNAME=jenkins

2020-11-16 12:24:53+01 OS-X-1015 Installer[665]: Env: SSH_AUTH_SOCK=/private/tmp/com.apple.launchd.d1cLHRTEiR/Listeners

2020-11-16 12:24:53+01 OS-X-1015 Installer[665]: Env: HOME=/Users/jenkins

2020-11-16 12:24:53+01 OS-X-1015 Installer[665]: Env: SHELL=/bin/zsh

2020-11-16 12:24:53+01 OS-X-1015 Installer[665]: Env: TMPDIR=/var/folders/9r/n_s0gdwx77x_cdgvnl0lm1_00000gp/T/

2020-11-16 12:24:53+01 OS-X-1015 Installer[665]: Env: __CF_USER_TEXT_ENCODING=0x1F6:0x0:0x0

2020-11-16 12:24:53+01 OS-X-1015 Installer[665]: Env: XPC_SERVICE_NAME=com.apple.xpc.launchd.oneshot.0x10000006.Installer

2020-11-16 12:24:53+01 OS-X-1015 Installer[665]: Env: XPC_FLAGS=0x0

2020-11-16 12:24:53+01 OS-X-1015 Installer[665]: ctools-1.7.2 1.7.2 Installation Log

2020-11-16 12:24:53+01 OS-X-1015 Installer[665]: Opened from: /Volumes/ctools-1.7.2/ctools-1.7.2.pkg

2020-11-16 12:24:53+01 OS-X-1015 Installer[665]: Package Authoring Error: <background_scaling> has an unsupported MIME type:

 X-NSObject/NSNumber

2020-11-16 12:24:53+01 OS-X-1015 Installer[665]: Package Authoring Error: <background_alignment> has an unsupported MIME type:

 X-NSObject/NSNumber

2020-11-16 12:24:53+01 OS-X-1015 Installer[665]: Package Authoring Error: <layout-direction> has an unsupported MIME type:

 X-NSObject/NSNumber

2020-11-16 12:24:53+01 OS-X-1015 Installer[665]: Failed to load specified background image

2020-11-16 12:24:53+01 OS-X-1015 Installer[665]: Product archive /Volumes/ctools-1.7.2/ctools-1.7.2.pkg trustLevel=2

2020-11-16 12:24:53+01 OS-X-1015 Installer[665]: External component packages (1) trustLevel=2 (trust evaluation failed: Error

 Domain=PKInstallErrorDomain Code=102 "The package “ctools-1.7.2.pkg” is untrusted." UserInfo={NSLocalizedDescription=The package

 “ctools-1.7.2.pkg” is untrusted., NSURL=#ctools-1.7.2.pkg -- file:///Volumes/ctools-1.7.2/ctools-1.7.2.pkg#Distribution,

 PKInstallPackageIdentifier=cta.irap.omp.eu.ctools.pkg, NSUnderlyingError=0x600001b48cf0 {Error Domain=NSOSStatusErrorDomain

 Code=-2147409654 "CSSMERR_TP_CERT_EXPIRED" UserInfo={SecTrustResult=5, PKTrustLevel=PKTrustLevelNotTrusted,

 NSLocalizedFailureReason=CSSMERR_TP_CERT_EXPIRED}}})

2020-11-16 12:24:56+01 OS-X-1015 Installer[665]: Product archive /Volumes/ctools-1.7.2/ctools-1.7.2.pkg trustLevel=2

2020-11-16 12:24:56+01 OS-X-1015 Installer[665]: External component packages (1) trustLevel=2 (trust evaluation failed: Error
 Domain=PKInstallErrorDomain Code=102 "The package “ctools-1.7.2.pkg” is untrusted." UserInfo={NSLocalizedDescription=The package

 “ctools-1.7.2.pkg” is untrusted., NSURL=#ctools-1.7.2.pkg -- file:///Volumes/ctools-1.7.2/ctools-1.7.2.pkg#Distribution,

 PKInstallPackageIdentifier=cta.irap.omp.eu.ctools.pkg, NSUnderlyingError=0x600001b7e910 {Error Domain=NSOSStatusErrorDomain

 Code=-2147409654 "CSSMERR_TP_CERT_EXPIRED" UserInfo={SecTrustResult=5, PKTrustLevel=PKTrustLevelNotTrusted,

 NSLocalizedFailureReason=CSSMERR_TP_CERT_EXPIRED}}})

2020-11-16 12:24:56+01 OS-X-1015 Installer[665]: Could not load resource readme: (null)

2020-11-16 12:25:04+01 OS-X-1015 Installer[665]:

 ================================================================================

2020-11-16 12:25:04+01 OS-X-1015 Installer[665]: User picked Standard Install

2020-11-16 12:25:04+01 OS-X-1015 Installer[665]: Choices selected for installation:

2020-11-16 12:25:04+01 OS-X-1015 Installer[665]:     Install: ""

2020-11-16 12:25:04+01 OS-X-1015 Installer[665]:     Install: "(null)"

2020-11-16 12:25:04+01 OS-X-1015 Installer[665]:         ctools-1.7.2.pkg#ctools-1.7.2.pkg : cta.irap.omp.eu.ctools.pkg : 1.7.2

2020-11-16 12:25:04+01 OS-X-1015 Installer[665]:

 ================================================================================

2020-11-16 12:25:04+01 OS-X-1015 Installer[665]: It took 0.00 seconds to summarize the package selections.

2020-11-16 12:25:04+01 OS-X-1015 Installer[665]: -[IFDInstallController(Private) _buildInstallPlanReturningError:]: location = file://localhost

2020-11-16 12:25:04+01 OS-X-1015 Installer[665]: -[IFDInstallController(Private) _buildInstallPlanReturningError:]:

 file://localhost/Volumes/ctools-1.7.2/ctools-1.7.2.pkg#ctools-1.7.2.pkg

2020-11-16 12:25:04+01 OS-X-1015 Installer[665]: Set authorization level to root for session

2020-11-16 12:25:14+01 OS-X-1015 Installer[665]: Administrator authorization granted.

2020-11-16 12:25:14+01 OS-X-1015 Installer[665]: Will use PK session

2020-11-16 12:25:14+01 OS-X-1015 Installer[665]: Using authorization level of root for IFPKInstallElement

2020-11-16 12:25:15+01 OS-X-1015 Installer[665]: Starting installation:

2020-11-16 12:25:15+01 OS-X-1015 Installer[665]: Configuring volume "Macintosh HD"

2020-11-16 12:25:15+01 OS-X-1015 Installer[665]: Preparing disk for local booted install.

2020-11-16 12:25:15+01 OS-X-1015 Installer[665]: Free space on "Macintosh HD": 20,76 GB (20757995520 bytes).

2020-11-16 12:25:15+01 OS-X-1015 Installer[665]: Create temporary directory

 "/var/folders/9r/n_s0gdwx77x_cdgvnl0lm1_00000gp/T//Install.665q1MO52"

2020-11-16 12:25:15+01 OS-X-1015 Installer[665]: IFPKInstallElement (1 packages)

2020-11-16 12:25:15+01 OS-X-1015 Installer[665]: Package: PKLeopardPackage <id=cta.irap.omp.eu.ctools.pkg, version=1.7.2,

 url=file:///Volumes/ctools-1.7.2/ctools-1.7.2.pkg#ctools-1.7.2.pkg> Failed to verify with error: Error Domain=PKInstallErrorDomain Code=102 "The

 package “ctools-1.7.2.pkg” is untrusted." UserInfo={NSLocalizedDescription=The package “ctools-1.7.2.pkg” is untrusted., NSURL=#ctools-1.7.2.pkg

 -- file:///Volumes/ctools-1.7.2/ctools-1.7.2.pkg#Distribution, PKInstallPackageIdentifier=cta.irap.omp.eu.ctools.pkg,

 NSUnderlyingError=0x600001bc2010 {Error Domain=NSOSStatusErrorDomain Code=-2147409654 "CSSMERR_TP_CERT_EXPIRED"

 UserInfo={SecTrustResult=5, PKTrustLevel=PKTrustLevelNotTrusted, NSLocalizedFailureReason=CSSMERR_TP_CERT_EXPIRED}}}

2020-11-16 12:25:15+01 OS-X-1015 Installer[665]: Failed install preflight: Error Domain=PKInstallErrorDomain Code=102 "The package

 “ctools-1.7.2.pkg” is untrusted." UserInfo={NSLocalizedDescription=The package “ctools-1.7.2.pkg” is untrusted., NSURL=#ctools-1.7.2.pkg --

 file:///Volumes/ctools-1.7.2/ctools-1.7.2.pkg#Distribution, PKInstallPackageIdentifier=cta.irap.omp.eu.ctools.pkg,

 NSUnderlyingError=0x600001bc2010 {Error Domain=NSOSStatusErrorDomain Code=-2147409654 "CSSMERR_TP_CERT_EXPIRED"

 UserInfo={SecTrustResult=5, PKTrustLevel=PKTrustLevelNotTrusted, NSLocalizedFailureReason=CSSMERR_TP_CERT_EXPIRED}}}

2020-11-16 12:25:15+01 OS-X-1015 Installer[665]: Install failed.

2020-11-16 12:25:15+01 OS-X-1015 Installer[665]: IFDInstallController 150B700 state = 8

2020-11-16 12:25:15+01 OS-X-1015 Installer[665]: Displaying 'Install Failed' UI.

2020-11-16 12:25:15+01 OS-X-1015 Installer[665]: 'Install Failed' UI displayed message:'The package “ctools-1.7.2.pkg” is untrusted.'.

2020-11-16 12:25:31+01 OS-X-1015 Installer[665]: Package Removal: User opted to keep package.

jenkins@OS-X-1015 ~ %

This looks indeed like a certificate issue.
#3 - 11/16/2020 02:19 PM - Knödlseder Jürgen

- Related to Action #1949: Sign packages added

#4 - 11/16/2020 02:20 PM - Knödlseder Jürgen

More information on signing package on mac OS can be found in the issue #1949.

Testing the binary package using the spctl tool gives

$ spctl -a -vv --type install /Volumes/ctools-1.7.2/ctools-1.7.2.pkg

/Volumes/ctools-1.7.2/ctools-1.7.2.pkg: rejected

origin=ctools

Information of code signing can be found at the Apple developer sites: https://help.apple.com/xcode/mac/current/#/dev033e997ca. A developer ID is

needed for that, and the cost for this ID is 99€ per year. Following https://simplemdm.com/certificate-sign-macos-packages/ signing is also possible

with third party certificates (e.g. TLS/SSL).

Others also faced the problem (see https://gitlab.gnome.org/GNOME/gimp/-/issues/946 or 

https://developers.mattermost.com/contribute/desktop/code-signing/). Not clear whether there is really a work around the Apple developer ID.

#5 - 11/16/2020 04:00 PM - Knödlseder Jürgen

- % Done changed from 10 to 20

Using

sudo spctl --master-disable

I circumvented the first error screen, but I still got the second screen and the following error message in /var/log/install.log:

2020-11-16 15:43:39+01 OS-X-1015 Installer[975]: @(#)PROGRAM:Install  PROJECT:Install-1000

2020-11-16 15:43:39+01 OS-X-1015 Installer[975]: @(#)PROGRAM:Installer  PROJECT:Installer-965.1

2020-11-16 15:43:39+01 OS-X-1015 Installer[975]: Hardware: VMware7,1 @ 3.34 GHz, 2048 MB RAM

2020-11-16 15:43:39+01 OS-X-1015 Installer[975]: Running OS Build: Mac OS X 10.15.3 (19D76)

2020-11-16 15:43:39+01 OS-X-1015 Installer[975]: Env: USER=jenkins

2020-11-16 15:43:39+01 OS-X-1015 Installer[975]: Env: COMMAND_MODE=unix2003

2020-11-16 15:43:39+01 OS-X-1015 Installer[975]: Env: PATH=/usr/bin:/bin:/usr/sbin:/sbin

2020-11-16 15:43:39+01 OS-X-1015 Installer[975]: Env: LOGNAME=jenkins

2020-11-16 15:43:39+01 OS-X-1015 Installer[975]: Env: SSH_AUTH_SOCK=/private/tmp/com.apple.launchd.brIXzzmibj/Listeners

2020-11-16 15:43:39+01 OS-X-1015 Installer[975]: Env: HOME=/Users/jenkins

2020-11-16 15:43:39+01 OS-X-1015 Installer[975]: Env: SHELL=/bin/zsh

2020-11-16 15:43:39+01 OS-X-1015 Installer[975]: Env: TMPDIR=/var/folders/9r/n_s0gdwx77x_cdgvnl0lm1_00000gp/T/

2020-11-16 15:43:39+01 OS-X-1015 Installer[975]: Env: __CF_USER_TEXT_ENCODING=0x1F6:0x0:0x0

2020-11-16 15:43:39+01 OS-X-1015 Installer[975]: Env: XPC_SERVICE_NAME=com.apple.xpc.launchd.oneshot.0x10000009.Installer

2020-11-16 15:43:39+01 OS-X-1015 Installer[975]: Env: XPC_FLAGS=0x0

2020-11-16 15:43:39+01 OS-X-1015 Installer[975]: ctools-1.7.2 1.7.2 Installation Log

2020-11-16 15:43:39+01 OS-X-1015 Installer[975]: Opened from: /Volumes/ctools-1.7.2/ctools-1.7.2.pkg

2020-11-16 15:43:39+01 OS-X-1015 Installer[975]: Package Authoring Error: <background_scaling> has an unsupported MIME type:

 X-NSObject/NSNumber

2020-11-16 15:43:39+01 OS-X-1015 Installer[975]: Package Authoring Error: <background_alignment> has an unsupported MIME type:
 X-NSObject/NSNumber

2020-11-16 15:43:39+01 OS-X-1015 Installer[975]: Package Authoring Error: <layout-direction> has an unsupported MIME type:

 X-NSObject/NSNumber

2020-11-16 15:43:39+01 OS-X-1015 Installer[975]: Failed to load specified background image

2020-11-16 15:43:39+01 OS-X-1015 Installer[975]: Product archive /Volumes/ctools-1.7.2/ctools-1.7.2.pkg trustLevel=2

2020-11-16 15:43:40+01 OS-X-1015 Installer[975]: External component packages (1) trustLevel=2 (trust evaluation failed: Error

 Domain=PKInstallErrorDomain Code=102 "The package “ctools-1.7.2.pkg” is untrusted." UserInfo={NSLocalizedDescription=The package

 “ctools-1.7.2.pkg” is untrusted., NSURL=#ctools-1.7.2.pkg -- file:///Volumes/ctools-1.7.2/ctools-1.7.2.pkg#Distribution,

 PKInstallPackageIdentifier=cta.irap.omp.eu.ctools.pkg, NSUnderlyingError=0x600000cd1110 {Error Domain=NSOSStatusErrorDomain

 Code=-2147409654 "CSSMERR_TP_CERT_EXPIRED" UserInfo={SecTrustResult=5, PKTrustLevel=PKTrustLevelNotTrusted,

 NSLocalizedFailureReason=CSSMERR_TP_CERT_EXPIRED}}})

2020-11-16 15:43:42+01 OS-X-1015 Installer[975]: Product archive /Volumes/ctools-1.7.2/ctools-1.7.2.pkg trustLevel=2

2020-11-16 15:43:42+01 OS-X-1015 Installer[975]: External component packages (1) trustLevel=2 (trust evaluation failed: Error

 Domain=PKInstallErrorDomain Code=102 "The package “ctools-1.7.2.pkg” is untrusted." UserInfo={NSLocalizedDescription=The package

 “ctools-1.7.2.pkg” is untrusted., NSURL=#ctools-1.7.2.pkg -- file:///Volumes/ctools-1.7.2/ctools-1.7.2.pkg#Distribution,

 PKInstallPackageIdentifier=cta.irap.omp.eu.ctools.pkg, NSUnderlyingError=0x600000ceabb0 {Error Domain=NSOSStatusErrorDomain

 Code=-2147409654 "CSSMERR_TP_CERT_EXPIRED" UserInfo={SecTrustResult=5, PKTrustLevel=PKTrustLevelNotTrusted,

 NSLocalizedFailureReason=CSSMERR_TP_CERT_EXPIRED}}})

2020-11-16 15:43:42+01 OS-X-1015 Installer[975]: Could not load resource readme: (null)

2020-11-16 15:43:48+01 OS-X-1015 Installer[975]:

 ================================================================================

2020-11-16 15:43:48+01 OS-X-1015 Installer[975]: User picked Standard Install

2020-11-16 15:43:48+01 OS-X-1015 Installer[975]: Choices selected for installation:

2020-11-16 15:43:48+01 OS-X-1015 Installer[975]:     Install: ""

2020-11-16 15:43:48+01 OS-X-1015 Installer[975]:     Install: "(null)"

2020-11-16 15:43:48+01 OS-X-1015 Installer[975]:         ctools-1.7.2.pkg#ctools-1.7.2.pkg : cta.irap.omp.eu.ctools.pkg : 1.7.2

2020-11-16 15:43:48+01 OS-X-1015 Installer[975]:

 ================================================================================

2020-11-16 15:43:48+01 OS-X-1015 Installer[975]: It took 0.00 seconds to summarize the package selections.

2020-11-16 15:43:48+01 OS-X-1015 Installer[975]: -[IFDInstallController(Private) _buildInstallPlanReturningError:]: location = file://localhost

2020-11-16 15:43:48+01 OS-X-1015 Installer[975]: -[IFDInstallController(Private) _buildInstallPlanReturningError:]:

 file://localhost/Volumes/ctools-1.7.2/ctools-1.7.2.pkg#ctools-1.7.2.pkg

2020-11-16 15:43:48+01 OS-X-1015 Installer[975]: Set authorization level to root for session

2020-11-16 15:43:57+01 OS-X-1015 Installer[975]: Administrator authorization granted.

2020-11-16 15:43:57+01 OS-X-1015 Installer[975]: Will use PK session

2020-11-16 15:43:57+01 OS-X-1015 Installer[975]: Using authorization level of root for IFPKInstallElement

2020-11-16 15:43:57+01 OS-X-1015 Installer[975]: Starting installation:

2020-11-16 15:43:57+01 OS-X-1015 Installer[975]: Configuring volume "Macintosh HD"

2020-11-16 15:43:57+01 OS-X-1015 Installer[975]: Preparing disk for local booted install.

2020-11-16 15:43:57+01 OS-X-1015 Installer[975]: Free space on "Macintosh HD": 21,81 GB (21806542848 bytes).

2020-11-16 15:43:57+01 OS-X-1015 Installer[975]: Create temporary directory

 "/var/folders/9r/n_s0gdwx77x_cdgvnl0lm1_00000gp/T//Install.975WEB4q7"

2020-11-16 15:43:57+01 OS-X-1015 Installer[975]: IFPKInstallElement (1 packages)

2020-11-16 15:43:57+01 OS-X-1015 Installer[975]: Package: PKLeopardPackage <id=cta.irap.omp.eu.ctools.pkg, version=1.7.2,

 url=file:///Volumes/ctools-1.7.2/ctools-1.7.2.pkg#ctools-1.7.2.pkg> Failed to verify with error: Error Domain=PKInstallErrorDomain Code=102 "The

 package “ctools-1.7.2.pkg” is untrusted." UserInfo={NSLocalizedDescription=The package “ctools-1.7.2.pkg” is untrusted., NSURL=#ctools-1.7.2.pkg

 -- file:///Volumes/ctools-1.7.2/ctools-1.7.2.pkg#Distribution, PKInstallPackageIdentifier=cta.irap.omp.eu.ctools.pkg,

 NSUnderlyingError=0x600000c55fe0 {Error Domain=NSOSStatusErrorDomain Code=-2147409654 "CSSMERR_TP_CERT_EXPIRED"

 UserInfo={SecTrustResult=5, PKTrustLevel=PKTrustLevelNotTrusted, NSLocalizedFailureReason=CSSMERR_TP_CERT_EXPIRED}}}

2020-11-16 15:43:57+01 OS-X-1015 Installer[975]: Failed install preflight: Error Domain=PKInstallErrorDomain Code=102 "The package

 “ctools-1.7.2.pkg” is untrusted." UserInfo={NSLocalizedDescription=The package “ctools-1.7.2.pkg” is untrusted., NSURL=#ctools-1.7.2.pkg --

 file:///Volumes/ctools-1.7.2/ctools-1.7.2.pkg#Distribution, PKInstallPackageIdentifier=cta.irap.omp.eu.ctools.pkg,

 NSUnderlyingError=0x600000c55fe0 {Error Domain=NSOSStatusErrorDomain Code=-2147409654 "CSSMERR_TP_CERT_EXPIRED"

 UserInfo={SecTrustResult=5, PKTrustLevel=PKTrustLevelNotTrusted, NSLocalizedFailureReason=CSSMERR_TP_CERT_EXPIRED}}}

2020-11-16 15:43:57+01 OS-X-1015 Installer[975]: Install failed.

2020-11-16 15:43:57+01 OS-X-1015 Installer[975]: IFDInstallController 29F780 state = 8

2020-11-16 15:43:57+01 OS-X-1015 Installer[975]: Displaying 'Install Failed' UI.

2020-11-16 15:43:57+01 OS-X-1015 Installer[975]: 'Install Failed' UI displayed message:'The package “ctools-1.7.2.pkg” is untrusted.'.

2020-11-16 15:44:33+01 OS-X-1015 Installer[975]: Package Removal: Package is not in downloads directory. Not offering removal.

2020-11-16 15:44:33+01 OS-X-1015 Installer[975]: Package Removal: Package cannot be removed.

Changing the year to 2017 I managed to get rid of the CSSMERR_TP_CERT_EXPIRED message, but now get CSSMERR_TP_NOT_TRUSTED

instead. So whatever I do, there seems to be an additional level of checking on Catalina that prevents the binary package to install.

2017-11-14 15:54:14+01 OS-X-1015 Installer[1039]: Install failed.

2017-11-14 15:54:14+01 OS-X-1015 Installer[1039]: IFDInstallController 1A934C0 state = 8

2017-11-14 15:54:14+01 OS-X-1015 Installer[1039]: Displaying 'Install Failed' UI.

2017-11-14 15:54:14+01 OS-X-1015 Installer[1039]: 'Install Failed' UI displayed message:'The package “ctools-1.7.2.pkg” is untrusted.'.

2017-11-14 15:54:17+01 OS-X-1015 Installer[1039]: Package Removal: Package is not in downloads directory. Not offering removal.

2017-11-14 15:54:17+01 OS-X-1015 Installer[1039]: Package Removal: Package cannot be removed.

2017-11-14 15:54:39+01 OS-X-1015 Installer[1059]: @(#)PROGRAM:Install  PROJECT:Install-1000

2017-11-14 15:54:39+01 OS-X-1015 Installer[1059]: @(#)PROGRAM:Installer  PROJECT:Installer-965.1

2017-11-14 15:54:39+01 OS-X-1015 Installer[1059]: Hardware: VMware7,1 @ 3.34 GHz, 2048 MB RAM
2017-11-14 15:54:39+01 OS-X-1015 Installer[1059]: Running OS Build: Mac OS X 10.15.3 (19D76)

2017-11-14 15:54:39+01 OS-X-1015 Installer[1059]: Env: USER=jenkins

2017-11-14 15:54:39+01 OS-X-1015 Installer[1059]: Env: COMMAND_MODE=unix2003

2017-11-14 15:54:39+01 OS-X-1015 Installer[1059]: Env: PATH=/usr/bin:/bin:/usr/sbin:/sbin

2017-11-14 15:54:39+01 OS-X-1015 Installer[1059]: Env: LOGNAME=jenkins

2017-11-14 15:54:39+01 OS-X-1015 Installer[1059]: Env: SSH_AUTH_SOCK=/private/tmp/com.apple.launchd.brIXzzmibj/Listeners

2017-11-14 15:54:39+01 OS-X-1015 Installer[1059]: Env: HOME=/Users/jenkins

2017-11-14 15:54:39+01 OS-X-1015 Installer[1059]: Env: SHELL=/bin/zsh

2017-11-14 15:54:39+01 OS-X-1015 Installer[1059]: Env: TMPDIR=/var/folders/9r/n_s0gdwx77x_cdgvnl0lm1_00000gp/T/

2017-11-14 15:54:39+01 OS-X-1015 Installer[1059]: Env: __CF_USER_TEXT_ENCODING=0x1F6:0x0:0x0

2017-11-14 15:54:39+01 OS-X-1015 Installer[1059]: Env: XPC_SERVICE_NAME=com.apple.xpc.launchd.oneshot.0x1000000b.Installer

2017-11-14 15:54:39+01 OS-X-1015 Installer[1059]: Env: XPC_FLAGS=0x0

2017-11-14 15:54:39+01 OS-X-1015 Installer[1059]: ctools-1.7.2 1.7.2 Installation Log

2017-11-14 15:54:39+01 OS-X-1015 Installer[1059]: Opened from: /Volumes/ctools-1.7.2/ctools-1.7.2.pkg

2017-11-14 15:54:40+01 OS-X-1015 Installer[1059]: Package Authoring Error: <background_scaling> has an unsupported MIME type:

 X-NSObject/NSNumber

2017-11-14 15:54:40+01 OS-X-1015 Installer[1059]: Package Authoring Error: <background_alignment> has an unsupported MIME type:

 X-NSObject/NSNumber

2017-11-14 15:54:40+01 OS-X-1015 Installer[1059]: Package Authoring Error: <layout-direction> has an unsupported MIME type:

 X-NSObject/NSNumber

2017-11-14 15:54:40+01 OS-X-1015 Installer[1059]: Failed to load specified background image

2017-11-14 15:54:40+01 OS-X-1015 Installer[1059]: Product archive /Volumes/ctools-1.7.2/ctools-1.7.2.pkg trustLevel=2

2017-11-14 15:54:40+01 OS-X-1015 Installer[1059]: External component packages (1) trustLevel=2 (trust evaluation failed: Error

 Domain=PKInstallErrorDomain Code=102 "The package “ctools-1.7.2.pkg” is untrusted." UserInfo={NSLocalizedDescription=The package

 “ctools-1.7.2.pkg” is untrusted., NSURL=#ctools-1.7.2.pkg -- file:///Volumes/ctools-1.7.2/ctools-1.7.2.pkg#Distribution,

 PKInstallPackageIdentifier=cta.irap.omp.eu.ctools.pkg, NSUnderlyingError=0x600000245020 {Error Domain=NSOSStatusErrorDomain

 Code=-2147409622 "CSSMERR_TP_NOT_TRUSTED" UserInfo={SecTrustResult=5, PKTrustLevel=PKTrustLevelNotTrusted,

 NSLocalizedFailureReason=CSSMERR_TP_NOT_TRUSTED}}})

2017-11-14 15:54:43+01 OS-X-1015 Installer[1059]: Product archive /Volumes/ctools-1.7.2/ctools-1.7.2.pkg trustLevel=2

2017-11-14 15:54:43+01 OS-X-1015 Installer[1059]: External component packages (1) trustLevel=2 (trust evaluation failed: Error

 Domain=PKInstallErrorDomain Code=102 "The package “ctools-1.7.2.pkg” is untrusted." UserInfo={NSLocalizedDescription=The package

 “ctools-1.7.2.pkg” is untrusted., NSURL=#ctools-1.7.2.pkg -- file:///Volumes/ctools-1.7.2/ctools-1.7.2.pkg#Distribution,

 PKInstallPackageIdentifier=cta.irap.omp.eu.ctools.pkg, NSUnderlyingError=0x60000027d140 {Error Domain=NSOSStatusErrorDomain

 Code=-2147409622 "CSSMERR_TP_NOT_TRUSTED" UserInfo={SecTrustResult=5, PKTrustLevel=PKTrustLevelNotTrusted,

 NSLocalizedFailureReason=CSSMERR_TP_NOT_TRUSTED}}})

2017-11-14 15:54:43+01 OS-X-1015 Installer[1059]: Could not load resource readme: (null)

2017-11-14 15:54:50+01 OS-X-1015 Installer[1059]:

 ================================================================================

2017-11-14 15:54:50+01 OS-X-1015 Installer[1059]: User picked Standard Install

2017-11-14 15:54:50+01 OS-X-1015 Installer[1059]: Choices selected for installation:

2017-11-14 15:54:50+01 OS-X-1015 Installer[1059]:     Install: ""

2017-11-14 15:54:50+01 OS-X-1015 Installer[1059]:     Install: "(null)"

2017-11-14 15:54:50+01 OS-X-1015 Installer[1059]:         ctools-1.7.2.pkg#ctools-1.7.2.pkg : cta.irap.omp.eu.ctools.pkg : 1.7.2

2017-11-14 15:54:50+01 OS-X-1015 Installer[1059]:

 ================================================================================

2017-11-14 15:54:50+01 OS-X-1015 Installer[1059]: It took 0.00 seconds to summarize the package selections.

2017-11-14 15:54:50+01 OS-X-1015 Installer[1059]: -[IFDInstallController(Private) _buildInstallPlanReturningError:]: location = file://localhost

2017-11-14 15:54:50+01 OS-X-1015 Installer[1059]: -[IFDInstallController(Private) _buildInstallPlanReturningError:]:

 file://localhost/Volumes/ctools-1.7.2/ctools-1.7.2.pkg#ctools-1.7.2.pkg

2017-11-14 15:54:50+01 OS-X-1015 Installer[1059]: Set authorization level to root for session

2017-11-14 15:54:59+01 OS-X-1015 Installer[1059]: Administrator authorization granted.

2017-11-14 15:54:59+01 OS-X-1015 Installer[1059]: Will use PK session

2017-11-14 15:54:59+01 OS-X-1015 Installer[1059]: Using authorization level of root for IFPKInstallElement

2017-11-14 15:54:59+01 OS-X-1015 Installer[1059]: Starting installation:

2017-11-14 15:54:59+01 OS-X-1015 Installer[1059]: Configuring volume "Macintosh HD"

2017-11-14 15:54:59+01 OS-X-1015 Installer[1059]: Preparing disk for local booted install.

2017-11-14 15:54:59+01 OS-X-1015 Installer[1059]: Free space on "Macintosh HD": 21,81 GB (21807063040 bytes).

2017-11-14 15:54:59+01 OS-X-1015 Installer[1059]: Create temporary directory

 "/var/folders/9r/n_s0gdwx77x_cdgvnl0lm1_00000gp/T//Install.1059yJOuLn"

2017-11-14 15:54:59+01 OS-X-1015 Installer[1059]: IFPKInstallElement (1 packages)

2017-11-14 15:54:59+01 OS-X-1015 Installer[1059]: Package: PKLeopardPackage <id=cta.irap.omp.eu.ctools.pkg, version=1.7.2,

 url=file:///Volumes/ctools-1.7.2/ctools-1.7.2.pkg#ctools-1.7.2.pkg> Failed to verify with error: Error Domain=PKInstallErrorDomain Code=102 "The

 package “ctools-1.7.2.pkg” is untrusted." UserInfo={NSLocalizedDescription=The package “ctools-1.7.2.pkg” is untrusted., NSURL=#ctools-1.7.2.pkg

 -- file:///Volumes/ctools-1.7.2/ctools-1.7.2.pkg#Distribution, PKInstallPackageIdentifier=cta.irap.omp.eu.ctools.pkg,

 NSUnderlyingError=0x6000002c1fe0 {Error Domain=NSOSStatusErrorDomain Code=-2147409622 "CSSMERR_TP_NOT_TRUSTED"

 UserInfo={SecTrustResult=5, PKTrustLevel=PKTrustLevelNotTrusted, NSLocalizedFailureReason=CSSMERR_TP_NOT_TRUSTED}}}

2017-11-14 15:54:59+01 OS-X-1015 Installer[1059]: Failed install preflight: Error Domain=PKInstallErrorDomain Code=102 "The package

 “ctools-1.7.2.pkg” is untrusted." UserInfo={NSLocalizedDescription=The package “ctools-1.7.2.pkg” is untrusted., NSURL=#ctools-1.7.2.pkg --

 file:///Volumes/ctools-1.7.2/ctools-1.7.2.pkg#Distribution, PKInstallPackageIdentifier=cta.irap.omp.eu.ctools.pkg,

 NSUnderlyingError=0x6000002c1fe0 {Error Domain=NSOSStatusErrorDomain Code=-2147409622 "CSSMERR_TP_NOT_TRUSTED"

 UserInfo={SecTrustResult=5, PKTrustLevel=PKTrustLevelNotTrusted, NSLocalizedFailureReason=CSSMERR_TP_NOT_TRUSTED}}}

2017-11-14 15:54:59+01 OS-X-1015 Installer[1059]: Install failed.

2017-11-14 15:54:59+01 OS-X-1015 Installer[1059]: IFDInstallController C0B5A0 state = 8

2017-11-14 15:54:59+01 OS-X-1015 Installer[1059]: Displaying 'Install Failed' UI.

2017-11-14 15:54:59+01 OS-X-1015 Installer[1059]: 'Install Failed' UI displayed message:'The package “ctools-1.7.2.pkg” is untrusted.'.
2017-11-14 15:55:03+01 OS-X-1015 Installer[1059]: Package Removal: Package is not in downloads directory. Not offering removal.

2017-11-14 15:55:03+01 OS-X-1015 Installer[1059]: Package Removal: Package cannot be removed.

#6 - 11/16/2020 05:06 PM - Knödlseder Jürgen

I tried building the package on Mac OS X 10.15.

First I needed to add jenkins to the /etc/sudoers file. Then I needed to install wget:

% brew install wget

Before building the package I commented the last two lines in dev/pkgbuild-macosx.sh:

#rm -rf $PKGDIR

#rm -rf $PRODDIR

Then I was able to build the package using:

% cd /Users/jenkins/jenkins/workspace/ctools-release-os/label/macosx15

% export GAMMALIB=$HOME/jenkins/install/release/gammalib

% . $GAMMALIB/bin/gammalib-init.sh

% make pkg

...

pkgbuild: Inferring bundle components from contents of /usr/local/gamma

pkgbuild: Writing new component property list to

 /Users/jenkins/jenkins/workspace/ctools-release-os/label/macosx15/pkg_build/pkg/ctools-1.7.2-components.plist

pkgbuild: Reading components from /Users/jenkins/jenkins/workspace/ctools-release-os/label/macosx15/pkg_build/pkg/ctools-1.7.2-components.plist

pkgbuild: Wrote package to /Users/jenkins/jenkins/workspace/ctools-release-os/label/macosx15/pkg_build/pkg/ctools-1.7.2.pkg

productbuild: Wrote synthesized distribution to /Users/jenkins/jenkins/workspace/ctools-release-os/label/macosx15/pkg_build/prod/ctools-1.7.2.dist

productbuild: error: Cannot write product to "/Users/jenkins/jenkins/workspace/ctools-release-os/label/macosx15/pkg_build/prod/ctools-1.7.2.pkg".

 (Could not find appropriate signing identity for “ctools”.)

hdiutil: create failed - No such file or directory

make: *** [pkg] Error 1

The error is due to the fact that the "ctools" certificat does not exist on Mac OS X 10.15. The package is however generated correctly. Installation of

this package worked, but this is probably normal since it was built on the same machine.

I succeeded however to install this package also on OS 11.0. There was the usual issue with a package not coming from a trusted site, yet installation

worked then without any problem. I should check whether not signing the package actually resolves the issue using the OS 10.7 package build.
#7 - 11/16/2020 06:50 PM - Knödlseder Jürgen

- % Done changed from 20 to 30

Creating a package on Mac OS 10.7 without certificat worked. I then copied the package on the Mac OS 10.15 VM:

$ scp pkg_build/pkg/ctools-1.7.2.pkg jenkins@172.16.198.15:ctools-1.7.2-macosx10.7-nocert.pkg

and on Mac OS 10.15 I installed the package using

$ ssh jenkins@172.16.198.15

% sudo installer -pkg ctools-1.7.2-macosx10.7-nocert.pkg -target /

Password:

installer: Package name is ctools-1.7.2-macosx10.7-nocert

installer: Upgrading at base path /

installer: The upgrade was successful.

I tried to install also the existing package in the disk image from command line:

% wget http://cta.irap.omp.eu/ctools/releases/ctools/ctools-1.7.2-macosx10.7.dmg

% hdiutil attach ctools-1.7.2-macosx10.7.dmg

Checksumming Driver Descriptor Map (DDM : 0)…

     Driver Descriptor Map (DDM : 0): verified CRC32 $883F120B

Checksumming Apple (Apple_partition_map : 1)…

     Apple (Apple_partition_map : 1): verified CRC32 $4EFBBD40

Checksumming disk image (Apple_HFS : 2)…

..........................................................................................................................................................

          disk image (Apple_HFS : 2): verified CRC32 $793DDCFB

Checksumming  (Apple_Free : 3)…

                    (Apple_Free : 3): verified CRC32 $00000000

verified CRC32 $CDF668B9

/dev/disk2              Apple_partition_scheme

/dev/disk2s1            Apple_partition_map

/dev/disk2s2            Apple_HFS                          /Volumes/ctools-1.7.2

% sudo installer -pkg /Volumes/ctools-1.7.2/ctools-1.7.2.pkg -target /

installer: Package name is ctools-1.7.2

installer: Certificate used to sign package is not trusted. Use -allowUntrusted to override.

% sudo installer -pkg /Volumes/ctools-1.7.2/ctools-1.7.2.pkg -target / -allowUntrusted

installer: Package name is ctools-1.7.2

installer: Upgrading at base path /

installer: The upgrade failed..

% hdiutil detach /Volumes/ctools-1.7.2

"disk2" ejected.

So this failed as expected.

Finally I tried the non-certified disk image:

% hdiutil attach ctools-1.7.2-macosx10.7-nocert.dmg

Checksumming Driver Descriptor Map (DDM : 0)…

     Driver Descriptor Map (DDM : 0): verified CRC32 $2AB46A96

Checksumming Apple (Apple_partition_map : 1)…

     Apple (Apple_partition_map : 1): verified CRC32 $1795EE24

Checksumming disk image (Apple_HFS : 2)…

..........................................................................................................................................................

          disk image (Apple_HFS : 2): verified CRC32 $257C43BB

Checksumming  (Apple_Free : 3)…

                    (Apple_Free : 3): verified CRC32 $00000000

verified CRC32 $BF7A970D

/dev/disk2              Apple_partition_scheme

/dev/disk2s1            Apple_partition_map

/dev/disk2s2            Apple_HFS                          /Volumes/ctools-1.7.2

% sudo installer -pkg /Volumes/ctools-1.7.2/ctools-1.7.2.pkg -target /

Password:

installer: Package name is ctools-1.7.2

installer: Upgrading at base path /

04/20/2024 10/11



installer: The upgrade was successful.

% hdiutil detach /Volumes/ctools-1.7.2

"disk2" ejected.

So having no certificat seems to be better than having an untrusted / expired one.

#8 - 11/17/2020 10:50 AM - Knödlseder Jürgen

- Status changed from In Progress to Feedback

- Target version set to 2.0.0

- % Done changed from 30 to 100

Installation of the new binary package worked successfully on Mac OS Catalina. I put the issue on feedback to see whether it also solves the issue for

Talvikki.

#9 - 11/17/2020 11:04 AM - Knödlseder Jürgen

- Status changed from Feedback to Closed

It also works for Talvikki.

I also made sure that the change is propagated into the devel branch.

I close the issue now.
